Bug Hunting Session
Bug 35334 - Fileopen DOC: Wordart Caption position that's relative to column in Word is relative to paragraph in Writer (no column option) and wrong
Summary: Fileopen DOC: Wordart Caption position that's relative to column in Word is r...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: DOC
  Show dependency treegraph
 
Reported: 2011-03-15 07:56 UTC by sasha.libreoffice
Modified: 2019-02-21 03:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
alignment of text problem (23.50 KB, application/msword)
2011-03-15 07:56 UTC, sasha.libreoffice
Details
similar problem, but with frame (589.50 KB, application/msword)
2012-02-21 06:26 UTC, sasha.libreoffice
Details
previous document, saved as odt using msWord 2007 (195.20 KB, application/vnd.oasis.opendocument.text)
2012-02-21 07:01 UTC, sasha.libreoffice
Details
bug screenshot (160.44 KB, image/png)
2015-07-21 12:03 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-03-15 07:56:57 UTC
Created attachment 44477 [details]
alignment of text problem

In attachment is document cerated in Word2003. There are two arrows with titles. In word both titles are in middle of page, but in Writer one is on right edge. 

Source of problem: bottom title is aligned relative to column. And Writer has no such variant. But variant with relative to page works properly.
I think that when import from doc, alignment to column can be replaced with align to page.

This document demonstrates one another serious problem: Writer works very slow. Try to press Ctrl and rotate mouse to see it.

produced on Mandriva 64 bit and windows XP 32 bit
Libre Office 3.3.1.2. and 3.3.2.1rc1
Comment 1 Yifan Jiang 2011-03-15 23:58:44 UTC
Confirmed with Libreoffice 3.3.1 SLED 11 sp1. Looking forward to a fix.
Comment 2 Björn Michaelsen 2011-12-23 11:51:58 UTC Comment hidden (obsolete)
Comment 3 sasha.libreoffice 2011-12-28 03:01:41 UTC Comment hidden (obsolete)
Comment 4 sasha.libreoffice 2012-02-21 06:26:48 UTC
Created attachment 57395 [details]
similar problem, but with frame
Comment 5 sasha.libreoffice 2012-02-21 07:01:56 UTC
Created attachment 57398 [details]
previous document, saved as odt using msWord 2007
Comment 6 sasha.libreoffice 2012-02-21 07:14:53 UTC
I have added another example with horizontal positioning problem. Writer has no option for positioning object relative to column. Previously I thought that instead my be used "Entire page" or "Page text area". It was wrong. Instead of "Column" should used "Paragraph area".
What is interesting, when Word saves as odt and opens again, frame aligned to column (horizontally). Therefore odt allows this.

PS: When opening doc file with frame from second attachment and select frame, anchor sign appears outside of page. And when we scroll page, anchor remains on the same place on the screen.
Comment 7 Andy Rogers 2012-04-24 03:41:20 UTC
Still present in 3.5.3 RC1
Comment 8 Cédric Bosdonnat 2014-01-20 08:57:50 UTC
Restricted my LibreOffice hacking area
Comment 9 tommy27 2014-06-21 19:57:26 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2015-07-18 17:44:04 UTC Comment hidden (obsolete)
Comment 11 tommy27 2015-07-21 12:03:03 UTC
Created attachment 117360 [details]
bug screenshot

still present in LibO 4.4.5.1 and 5.1.0.0.alpha1+
Build ID: fcdddbd30a8b5cf6a5cc4d2ff28b7d4a20f8ec6b
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-07-20_02:07:48
Locale: en-US (it_IT)

see comparative screenshot
Comment 12 QA Administrators 2016-09-20 10:18:13 UTC Comment hidden (obsolete)
Comment 13 Timur 2018-02-15 10:02:38 UTC
Same in 6.1+
Comment 14 QA Administrators 2019-02-21 03:42:48 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug